Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.ruleset
Class RuleEditorException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
oracle.rules.sdk.editor.ruleset.RuleEditorException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RuleEditorSDKException

public class RuleEditorException
extends java.lang.Exception

Exception thrown by oracle.rules.sdk.editor.ruleset Typically, these are errors detected by validate() which the end user can correct, such as a duplicate rule name. A subclass, RuleEditorSDKException, is thrown in cases of inconsistent state, such as those caused by SDK coding errors.

See Also:
  Serialized Form

Method Summary
`int` | `getBegin()` Set by AdvancedExpression.validate() when an expression is typed in incorrectly.
`int` | `getEnd()` Set by AdvancedExpression.validate() when an expression is typed in incorrectly.
`java.lang.String` | `getErrorCode()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessage(java.util.Locale locale)`
`RuleComponent` | `getRuleComponent()` The RuleComponent whose validate() method detected the error.
`boolean` | `isParseException()` Set by AdvancedExpression.validate() when an expression is entered incorrectly.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getErrorCode

    public java.lang.String getErrorCode()

  Returns:
    the 5 digit error code for this Exception

### isParseException

    public boolean isParseException()

  Set by AdvancedExpression.validate() when an expression is entered incorrectly.
  Returns:
    true if the error was detected by the AdvancedExpression parser.

### getBegin

    public int getBegin()

  Set by AdvancedExpression.validate() when an expression is typed in incorrectly.
  Returns:
    the beginning offset of token in error.

### getEnd

    public int getEnd()

  Set by AdvancedExpression.validate() when an expression is typed in incorrectly.
  Returns:
    the ending offset of token in error.

### getRuleComponent

    public RuleComponent getRuleComponent()

  The RuleComponent whose validate() method detected the error.
  Returns:
    the RuleComponent whose validate() method detected the error

### getMessage

    public java.lang.String getMessage()

  Returns:
    the exception message

### getMessage

    public java.lang.String getMessage(java.util.Locale locale)

  Returns:
    the localized exception message

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.